#pragma once

#include "common.h"

class Logger {
private:
    bool isDebug = false;
    void writeToLog(string type, string in);

public:
    string getLog();
    void toggleDebugPrint();
    void error(string in);
    void fatalError(string in, int code);
    void info(string in);
    void debug(string in);
};